<?php
/*
'**************************************************************************************************
' 软件名称: 搜一次 Content Management System
' 版本编号: Version 1.X
' 官方网站: http://www.syccms.com
' 官方论坛：http://bbs.syccms.com
' 版权所有: 搜一次运营团队
' 法律顾问: 杭州市元茂律师事务所 严飞律师
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、搜一次网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include "../admin_loginstate.php";
include "../../include/label.php";

set_time_limit(0);
$type=SafeRequest("type","get");
if($type=="index"){
	if(file_exists(_SYC_ROOT_.S_Templateurl."/index.html")){
		  $Mark_Text=@file_get_contents(_SYC_ROOT_.S_Templateurl."/index.html");
		  $Mark_Text=topandbottom($Mark_Text);
		  $Mark_Text=Common_Mark($Mark_Text,0);
		  fwrite(fopen("../../index.html","wb"),$Mark_Text);#$filename是静态页面的文件名
		  echo "<font style=font-size:12pt;><a href=../../index.html target=_blank>".S_SiteDomain.S_SitePath."index.html</a><br/><br/>网站首页已成功生成．．．</font>";
		}
	else{
		die("出错了，首页模板文件不存在！");
		}	
	
	}
elseif($type=="artindex"){
	if(file_exists(_SYC_ROOT_.S_Templateurl."/artindex.html")){
		  $Mark_Text=@file_get_contents(_SYC_ROOT_.S_Templateurl."/artindex.html");
		  $Mark_Text=topandbottom($Mark_Text);
		  $Mark_Text=Common_Mark($Mark_Text,0);
		  fwrite(fopen("../../".S_Dnname."/artindex.html","wb"),$Mark_Text);#$filename是静态页面的文件名
		  echo "<font style=font-size:12pt;><a href=../../".S_Dnname."/artindex.html target=_blank>".S_SiteDomain.S_SitePath.S_Dnname."/artindex.html</a><br/><br/>网站文章首页已成功生成．．．</font>";
		}
	else{
		die("出错了，文章首页模板文件不存在！");
		}	
	
	}	
elseif($type=="vodindex"){
	if(file_exists(_SYC_ROOT_.S_Templateurl."/vodindex.html")){
		  $Mark_Text=@file_get_contents(_SYC_ROOT_.S_Templateurl."/vodindex.html");
		  $Mark_Text=topandbottom($Mark_Text);
		  $Mark_Text=Common_Mark($Mark_Text,0);
		  fwrite(fopen("../../".S_Dvname."/vodindex.html","wb"),$Mark_Text);#$filename是静态页面的文件名
		  echo "<font style=font-size:12pt;><a href=../../".S_Dvname."/vodindex.html target=_blank>".S_SiteDomain.S_SitePath.S_Dvname."/vodindex.html</a><br/><br/>网站视频首页已成功生成．．．</font>";
		}
	else{
		die("出错了，视频首页模板文件不存在！");
		}	
	
	}
elseif($type=="map"){
	if(file_exists(_SYC_ROOT_.S_Templateurl."/allmap.html")){
		  $Mark_Text=@file_get_contents(_SYC_ROOT_.S_Templateurl."/allmap.html");
		  $Mark_Text=topandbottom($Mark_Text);
		  $Mark_Text=Common_Mark($Mark_Text,0);
		  fwrite(fopen("../../allmap.html","wb"),$Mark_Text);#$filename是静态页面的文件名
		  echo "<font style=font-size:12pt;><a href=../../allmap.html target=_blank>".S_SiteDomain.S_SitePath."allmap.html</a><br/><br>网站地图已成功生成．．．</font>";
		}
	else{
		die("出错了，地图模板文件不存在！");
		}		
	}	
?>